com.taosdata.jdbc.rs

## Class RestfulConnection

- java.lang.Object
- - com.taosdata.jdbc.WrapperImpl
  - - com.taosdata.jdbc.AbstractConnection
    - - com.taosdata.jdbc.rs.RestfulConnection

All Implemented Interfaces:
  AutoCloseable, Connection, Wrapper

Deprecated.
Use WebSocket connection instead.

    @Deprecated
    public class RestfulConnection
    extends AbstractConnection

### Field Summary

### Fields inherited from class com.taosdata.jdbc.AbstractConnection

`catalog, clientInfoProps, idGenerator, isClosed, serverVersion, statementsMap, supportBlob, supportLineBind`

### Fields inherited from interface java.sql.Connection

`TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

### Constructor Summary

Constructors
Constructor and Description
`RestfulConnection(String host, String port, Properties props, String database, String url, String auth, boolean useSsl, String token, String tz)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `close()` Deprecated.
`Statement` `createStatement()` Deprecated.
`String` `getAuth()` Deprecated.
`String` `getDatabase()` Deprecated.
`String` `getHost()` Deprecated.
`DatabaseMetaData` `getMetaData()` Deprecated.
`String` `getPort()` Deprecated.
`String` `getToken()` Deprecated.
`String` `getTz()` Deprecated.
`String` `getUrl()` Deprecated.
`boolean` `isClosed()` Deprecated.
`boolean` `isUseSsl()` Deprecated.
`PreparedStatement` `prepareStatement(String sql)` Deprecated.
`void` `write(String[] lines, SchemalessProtocolType protocolType, SchemalessTimestampType timestampType, Integer ttl, Long reqId)` Deprecated.
`int` `writeRaw(String line, SchemalessProtocolType protocolType, SchemalessTimestampType timestampType, Integer ttl, Long reqId)` Deprecated.

### Methods inherited from class com.taosdata.jdbc.AbstractConnection

`abort, canRebalanced, clearWarnings, commit, createArrayOf, createBlob, createClob, createNClob, createSQLXML, createStatement, createStatement, createStruct, getAutoCommit, getCatalog, getClientInfo, getClientInfo, getHoldability, getNetworkTimeout, getSchema, getTransactionIsolation, getTypeMap, getWarnings, isReadOnly, isSupportBlob, isValid, nativeSQL, prepareCall, prepareCall, prepareCall, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, registerStatement, releaseSavepoint, rollback, rollback, setAutoCommit, setCatalog, setClientInfo, setClientInfo, setHoldability, setNetworkTimeout, setReadOnly, setSavepoint, setSavepoint, setSchema, setTransactionIsolation, setTypeMap, unregisterStatement, write, write, write, writeRaw`

### Methods inherited from class com.taosdata.jdbc.WrapperImpl

`isWrapperFor, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Constructor Detail

#### RestfulConnection

    public RestfulConnection(String host,
                             String port,
                             Properties props,
                             String database,
                             String url,
                             String auth,
                             boolean useSsl,
                             String token,
                             String tz)

Deprecated.

### Method Detail

#### createStatement

    public Statement createStatement()
                              throws SQLException

Deprecated.

Throws:
  `SQLException`

#### prepareStatement

    public PreparedStatement prepareStatement(String sql)
                                       throws SQLException

Deprecated.

Throws:
  `SQLException`

#### close

    public void close()
               throws SQLException

Deprecated.

Throws:
  `SQLException`

#### isClosed

    public boolean isClosed()
                     throws SQLException

Deprecated.

Throws:
  `SQLException`

#### getMetaData

    public DatabaseMetaData getMetaData()
                                 throws SQLException

Deprecated.

Throws:
  `SQLException`

#### write

    public void write(String[] lines,
                      SchemalessProtocolType protocolType,
                      SchemalessTimestampType timestampType,
                      Integer ttl,
                      Long reqId)
               throws SQLException

Deprecated.

Specified by:
  `write` in class `AbstractConnection`
Throws:
  `SQLException`

#### writeRaw

    public int writeRaw(String line,
                        SchemalessProtocolType protocolType,
                        SchemalessTimestampType timestampType,
                        Integer ttl,
                        Long reqId)
                 throws SQLException

Deprecated.

Specified by:
  `writeRaw` in class `AbstractConnection`
Throws:
  `SQLException`

#### getHost

    public String getHost()

Deprecated.

#### getPort

    public String getPort()

Deprecated.

#### getDatabase

    public String getDatabase()

Deprecated.

#### getUrl

    public String getUrl()

Deprecated.

#### getToken

    public String getToken()

Deprecated.

#### getAuth

    public String getAuth()

Deprecated.

#### isUseSsl

    public boolean isUseSsl()

Deprecated.

#### getTz

    public String getTz()

Deprecated.